with ASIStint.S_Parser;
  use ASIStint.S_Parser;

with ASIStint.Text_IO;
  use ASIStint.Text_IO;

package body ASIStint.Debug is

  procedure Dump_Tree (N:Node_Position) is
    NN: Node;
  begin
    for i in N .. CurStat.Free-1 loop
      NN := CurStat.Tree(i);
      ATIPut_Line("Node #" & Integer'Wide_Image(i) & ": " &
             Node_Type'Image(NN.NType));
      ATIPut_Line("  NValue:" & Integer'Wide_Image(NN.NValue) &
                  "  Next_N:" & Integer'Wide_Image(NN.Next_Node));
    end loop;
  end Dump_Tree;

end ASIStint.Debug;